HomeGuides :: Attach PlusGetting Started With Attach PlusSystem Requirements

1.1. System Requirements

What are the system requirements to use Attach Plus?

The latest version of Attach Plus works with the following operating systems:

  • Windows 10
  • Windows 8
  • Windows 7
  • Windows Vista
  • Windows XP
  • Windows 2000
  • Windows Server 2008
  • Windows Server 2003
  • Terminal Services
  • Windows NT 4
Note: Attach Plus is strictly Windows-based and does not operate on a Mac computer.  Also, note that Attach Plus does not integrate with the Microsoft Edge browser.

Note: If you are running on a version starting with a 2.x.x then it is NOT compatible with Windows 8 or newer. Click here for more info on why.

Click here to see the list of e-mail applications that integrate with Attach Plus.


 

Knowledge Tags

This page was: Helpful | Not Helpful